<script setup lang="ts">
const colorMode = useColorMode()
const onClick = () => {
  const values = ['system', 'light', 'dark']
  const index = values.indexOf(colorMode.preference)
  const next = (index + 1) % values.length
  colorMode.preference = values[next]
}
</script>

<template lang="pug">
label.btn-sqaure.swap-rotate.swap.btn-ghost.swap-active.btn(
  :title="$t('changeColorMode')",
  aria-label="Color Mode",
  @click="onClick"
)
  ColorScheme(placeholder="...")
    icon.h-4.w-4.fill-current(
      name="uil:moon",
      class="md:h-5 md:w-5",
      :class="$colorMode.preference === 'dark' ? 'swap-on' : 'swap-off'"
    ) 
    icon.h-4.w-4.fill-current(
      name="uil:sun",
      class="md:h-5 md:w-5",
      :class="$colorMode.preference === 'light' ? 'swap-on' : 'swap-off'"
    )
    icon.h-4.w-4.fill-current(
      name="uil:desktop",
      class="md:h-5 md:w-5",
      :class="$colorMode.preference === 'system' ? 'swap-on' : 'swap-off'"
    )
</template>
